net.i2p.client.streaming.impl

## Class ConnectionPacketHandler

- java.lang.Object
- - net.i2p.client.streaming.impl.ConnectionPacketHandler

-     class ConnectionPacketHandler
      extends Object

  Receive a packet for a particular connection - placing the data onto the queue, marking packets as acked, updating various fields, etc.

  I2PSession -> MessageHandler -> PacketHandler -> ConnectionPacketHandler -> MessageInputStream

  One of these is instantiated per-Destination (i.e. per-ConnectionManager, not per-Connection). It doesn't store any state.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_SLOW_START_WINDOW`
    `(package private) static String` | `PROP_IMMEDIATE_ACK_DELAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPacketHandler(I2PAppContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `receivePacket(Packet packet, Connection con)` Takes ownership of the packet and call packet.releasePayload() unless it is passed to the MessageInputStream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_SLOW_START_WINDOW

          public static final int MAX_SLOW_START_WINDOW

      See Also:
        Constant Field Values

    - #### PROP_IMMEDIATE_ACK_DELAY

          static final String PROP_IMMEDIATE_ACK_DELAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectionPacketHandler

          public ConnectionPacketHandler(I2PAppContext context)

  - ### Method Detail

    - #### receivePacket

          void receivePacket(Packet packet,
                             Connection con)
                      throws I2PException

      Takes ownership of the packet and call packet.releasePayload() unless it is passed to the MessageInputStream.
      Throws:
        `I2PException`